<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
  </head>
  <main>
    <div>
      <h1>{{ list_id.name }}</h1>
      <p>
        <a href="{% url 'todo_list_update' list_id.id %}">Edit</a>
      </p>
      <p>
        <a href="{% url 'todo_list_delete' list_id.id %}">Delete</a>
      </p>
      <h2>Tasks</h2>
      <table>
        <thead>
          <tr>
            <th>Task</th>
            <th>Due date</th>
          </tr>
        </thead>
        <tbody>
          {% for item in list_id.items.all %}
            <tr>
              <td>
                <a href="{% url 'todo_item_update' item.id %}">{{ item.task }}</a>
              </td>
              <td>{{ item.due_date|date:"M d, Y" }}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </main>
</html>
